## osso-dsp-plugin-alsa 0.7

=== Makefile ===
CC=gcc
SOURCES=./src
BIN=./bin
OBJS=./obj
INCLUDES=-I$(SOURCES)
CFLAGS=-Wall -fPIC -DPIC -O2 
LDFLAGS=-shared -lm -ldl -lpthread -module -avoid-version -export-dynamic

# Resource manager
CFLAGS += -DUSE_RESOURCE_MANAGER
CFLAGS += `pkg-config --cflags dbus-1`
LDFLAGS += `pkg-config --libs dbus-1`

all: libasound_module_pcm_alsa_dsp.so 

libasound_module_pcm_alsa_dsp.so: $(OBJS)/dsp-protocol.o $(OBJS)/alsa-dsp.o $(OBJS)/dsp-ctl.o
	$(CC) $(INCLUDES) $(LDFLAGS) $(CFLAGS) -o $(BIN)/$@ -Wl,-soname -Wl,$@ $(OBJS)/dsp-ctl.o $(OBJS)/dsp-protocol.o $(OBJS)/alsa-dsp.o /usr/lib/libasound.so
	strip $(BIN)/$@
	ln -s libasound_module_pcm_alsa_dsp.so libasound_module_ctl_dsp_ctl.so
	mv libasound_module_ctl_dsp_ctl.so $(BIN)

$(OBJS)/%.o: $(SOURCES)/%.c 
	$(CC) $(INCLUDES) $(CFLAGS) -c $<  -o $@

install:

distclean: clean

clean:
	rm -rf $(OBJS)/* $(BIN)/*

=== debian/changelog ===
osso-dsp-plugin-alsa (0.7) unstable; urgency=low

  * Changed to use the new D-BUS mic power management API

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 20 Oct 2006 08:50:26 +0300

osso-dsp-plugin-alsa (0.6) unstable; urgency=low

  * If a program using ALSA exits/crashes without closing the pcm
    handle, the handle cannot be reacquired until the device has been
    rebooted. Added destructor routines whose are executed before dlclose
    returns (or after exit() or completion of main() if the library is
    loaded at load time).

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 25 Aug 2006 07:43:46 -0400

osso-dsp-plugin-alsa (0.5) unstable; urgency=low

  * Changed source code indentation with Lindent:
  	indent -npro -kr -i8 -ts8 -sob -l80 -ss -ncs "$@"
  * Add more comments in the source code.
  * Add documentation comments for each function.
  * One transfer request with more data than the size of mmap
    buffer size will not fail. It will just report to alsa 
    library that only one amount of data with the size of mmap 
    buffer area is sent.
  
 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 26 May 2006 10:34:24 +0300
 

osso-dsp-plugin-alsa (0.4) unstable; urgency=low

  * Cleaned up the Build-Depends list

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Wed,  3 May 2006 15:08:09 +0300

osso-dsp-plugin-alsa (0.3) unstable; urgency=low

  * Added volume mixer controls
  * All operations dealing with dsp task nodes are done in transaction style.
    While in a transaction, first the plugin locks the device (gets the
    semaphore), then does a sequency of operations in the style "sends a
    command (write syscall) and reads its response (read syscall)", so it
    releases the device (ups the semaphore). It is expected to do not leave
    the device with pending data after a transaction. In this way, another
    processes will rely to do not block while doing a read syscall.
  * Added concurrency control. Now using a semaphore api to implement a mutual
    exclusion between process
  * Added dsp task nodes multiplexing. Now the plugin probes for a idle dsp
    task node. However, dsp task nodes for use with alsa plugin should be 
    specified at alsa.conf.

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 28 Apr 2006 14:25:40 +0300

osso-dsp-plugin-alsa (0.2) unstable; urgency=low

  * Added recording

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Wed, 12 Apr 2006 11:27:52 +0300

osso-dsp-plugin-alsa (0.1) unstable; urgency=low

  * Initial Release.

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Wed,  5 Apr 2006 10:28:06 +0300

=== debian/control ===
Source: osso-dsp-plugin-alsa
Priority: optional
Maintainer: Makoto Sugano <Makoto.Sugano@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libasound2-dev, libc6-dev, libdbus-1-dev (>= 0.60)
Standards-Version: 3.6.1
Section: libs

Package: osso-dsp-plugin-alsa
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OSSO Alsa I/O plugin 
 This library provides an ALSA plugin to communicate with DSP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
